\solutionSection

Обозначим искомые числа $A$, $B$ и $C$. Пусть $A = 10a + x$, $B = 10b + y$, где $x$ и $y$ --- цифры единиц чисел $A$ и $B$ соответственно. Тогда:
$$\begin{cases}
    A+B+C=2021 \\
    a+b=C
\end{cases} \Leftrightarrow \begin{cases}
    10a+x+10b+y+C=2021\\
    a+b=C
\end{cases} \Leftrightarrow \begin{cases}
    11C=2021-(x+y)\\
    a+b=C
\end{cases}.$$ Поскольку $(x+y) \in [0;18]$, то для делимости $2021 - (x + y)$ на 11 имеется ровно одна возможность $x + y = 8$. При этом $C = 183$.